Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class ConversationPrincipalFacility

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.Conversation
                  |
                  +--com.ibm.cics.server.ConversationPrincipalFacility

public class ConversationPrincipalFacility
extends Conversation

This class represents the Java interface to the APPC Conversation that is attached as the principal facility of the current Task.

Method Summary
`java.lang.String` | `getNetName()` Not Implemented.
`byte[]` | `getPipData()` Not Implemented.
`java.lang.String` | `getPrinSysId()` Not Implemented.
`java.lang.String` | `getProcess()` Not Implemented.
`java.lang.String` | `getUserId()` Not Implemented.

Methods inherited from class com.ibm.cics.server.Conversation
`converse, converse, flush, free, getConvId, getDataComplete, getErrorCode, getErrorOccurred, getNoData, getSignalReceived, getState, getSyncLevel, issueAbend, issueConfirmation, issueError, issuePrepare, issueSignal, receive, receive, send, send, send`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNetName

    public java.lang.String getNetName()

  This method is not implemented in this release.

### getPipData

    public byte[] getPipData()

  This method is not implemented in this release.

### getPrinSysId

    public java.lang.String getPrinSysId()

  This method is not implemented in this release.

### getProcess

    public java.lang.String getProcess()

  This method is not implemented in this release.

### getUserId

    public java.lang.String getUserId()

  This method is not implemented in this release.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 by Sun Microsystems, Inc.